PDA

View Full Version : LMS will not run on NAS Synology DS718+ after recent DSM update



GuyManning
2019-02-27, 01:36
The update of course may be a red herring, but I had LMS (7.9.1 beta) running very well on my new DS718+ NAS Synology box until I did the NAS DSM update yesterday
After that the package will not 'Run' anymore...says starting but then just stops again!
I uninstalled both LMS and Perl and then re-installed both...same issue

Anyone help?

Note: On my older NAS, the LMS (same beta version) is able to run fine

mherger
2019-02-27, 01:59
> The update of course may be a red herring, but I had LMS (7.9.1 beta)

Synology's package or the community's?

> running very well on my new DS718+ NAS Synology box until I did the NAS
> DSM update yesterday
> After that the package will not 'Run' anymore...says starting but then
> just stops again!

Can you grab a copy of the server.log?

--

Michael

GuyManning
2019-02-27, 05:05
Sure .....if u can just remind me of how to get that and send it :)

LMS 7.9.1-168 BETA Developed by Logitech Published by Synology

In package center, I press the RUN button - its starts to load and then stops again leaving the Run button enabled once again

mherger
2019-02-27, 05:54
> Sure .....if u can just remind me of how to get that and send it :)
>
> 7.9.1-168 BETA Developed by Logitech Published by Synology

That's modified and bundled by Synology, badly outdated and NOT
distributed by Logitech. You better try to install the community build.

--

Michael

GuyManning
2019-02-27, 05:59
ok looking for that now....

Ok added SynoCommunity and can view Community packages, but cannot see LMS in there ...there are only 2 I find...both Logitech one older - one beta

and as I said...the 7.9.1 beta version is able to run ok on my older NAS, the problem started after the latest DSM update on the new NAS I think

Stig Nygaard
2019-02-27, 11:12
ok looking for that now....
Ok added SynoCommunity and can view Community packages, but cannot see LMS in there ...there are only 2 I find...both Logitech one older - one beta
and as I said...the 7.9.1 beta version is able to run ok on my older NAS, the problem started after the latest DSM update on the new NAS I think

I don't know what SynoCommunity is, but I'm using Pinkdot's Synology builds for my Synology DS 716+ II and they work great:

https://forums.slimdevices.com/showthread.php?108960-Synology-7-9-2-packages
https://sourceforge.net/projects/lmsupdate/files/DSM6.x/

I assume DS 718+ model is a 64 bit Intel model like mine, and you should download LogitechMediaServer-x86_64-7.9.2-168.0018.spk to get the (currently) latest version.

You'll find the LMS interface on port 9002 after install (unlike the official, which as far as I remember is on port 9001).

Stig Nygaard
2019-02-27, 12:02
But latest DSM update contains nothing that obviously would be likely to make Synology's older LMS to break. So my guess is, that reboot has triggered some other problem that could be fixed if you want to keep Synology's own version of LMS:

Version: 6.2.1-23824-6

(2019-02-19)

Important Note

The update is expected to be available for all regions within the next few days, although the time of release in each region may vary slightly.
This update will restart your Synology NAS if you are using the models listed below.

Plus Series : DS218+, DS718+, DS918+, DS1019+
Value Series : DS418play


Fixed Issues

Fixed an issue where abnormal reboot while converting SHR type or expanding SHR capacity may cause the storage volume not to be properly mounted.
Fixed an issue where the completion of Snapshot Replication under high load environment may result in abnormal reboot.
Minor bug fixes.




SHR (Synology Hybrid RAID) is some RAID management system from Synology